/**
 * colGroup.jsx
 *
 * @Author: apple
 * @Date: 2018/3/8 16:55
 */
import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
/**
 * @ignore
 * */

export default function ColGroup(props) {
  var renderColumns = props.renderColumns;
  return React.createElement("colgroup", null, renderColumns.map(function (item, index) {
    var colClassName = item.colClassName,
        width = item.width,
        _item$colSpan = item.colSpan,
        colSpan = _item$colSpan === void 0 ? 1 : _item$colSpan;
    return React.createElement("col", {
      span: colSpan,
      className: colClassName,
      style: {
        width: width
      },
      key: "col-".concat(index)
    });
  }));
}